<template>
	<div class="ma-10" style="height: 200px">
		<v-card style="height: 100%" color="secondary">
			<v-tabs v-model="tab" :height="200" background-color="secondary" hide-slider centered fixed-tabs>
				<v-tab>
					<div class="story-image-container">
						<v-img class="story-image" :width="125" :src="require('~/assets/images/profile.jpg')" contain></v-img>
						<div class="story-image-container-action">
							<v-avatar size="avatarSize" color="primary">
								<v-icon>mdi-plus</v-icon>
							</v-avatar>
							<div style="font-size: 12px" class="story-image-container-label py-3 text-capitalize">Create Story</div>
						</div>
					</div>
				</v-tab>
				<v-tab v-for="(story, index) in stories" :key="index" :value="index">
					<div class="story-image-container">
						<div class="story-image-profile-avatar">
							<v-avatar :size="35" color="primary">
								<v-img class="story-image" :src="story.picture.large"></v-img>
							</v-avatar>
						</div>
						<v-img class="story-image" :width="125" :src="story.picture.large" contain></v-img>
						<div class="story-image-user-name text-capitalize">{{ story.name.first + ' ' + story.name.last }}</div>
					</div>
				</v-tab>
			</v-tabs>
		</v-card>
	</div>
</template>

<script>
export default {
	name: 'Story',
	props: {
		tab: null,
		stories: {
			type: [],
			default: [],
		},
	},
};
</script>

<style lang="scss" scoped>
.story-image-container {
	cursor: pointer;
	position: relative;
	margin-left: 5px;
	margin-right: 5px;
	overflow: hidden;

	.story-image-container-action {
		position: absolute;
		z-index: 1;
		bottom: 0;
		right: 0;
		left: 0;
		margin: auto;
		transition: all 0.3s ease;
	}

	.story-image-profile-avatar {
		position: absolute;
		z-index: 1;
		top: 5px;
		left: 5px;
		transition: all 0.3s ease;
		border: 5px solid #0065bd;
		border-radius: 50%;
	}

	.story-image-user-name {
		position: absolute;
		z-index: 1;
		bottom: 0;
		right: 0;
		left: 0;
		margin: auto;
		color: white !important;
	}

	.story-image-container-label {
		color: white !important;
		transition: all 0.5s ease;
	}

	.story-image:hover {
		filter: blur(1px);
		filter: grayscale(50%);
		transform: scale(1.1);
		transition: all 0.5s ease;
	}
}

.story-image-container:hover {
	.story-image-container-action {
		filter: grayscale(50%);
		transition: all 0.5s ease;
	}
	.story-image-container-label {
		background-color: #151515;
		transition: all 0.5s ease;
	}
}

.story-image {
	transition: all 0.5s ease;
}
</style>
